WebM Codec SDK: vpx_rc_gop_info Struct Reference

WebM Codec SDK

Data Fields
vpx_rc_gop_info Struct Reference

Information passed to the external rate control model to help make GOP decisions. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields
int | min_gf_interval
int | max_gf_interval
int | active_min_gf_interval
int | active_max_gf_interval
int | allow_alt_ref
int | is_key_frame
int | last_gop_use_alt_ref
int | frames_since_key
int | frames_to_key
int | lag_in_frames
int | show_index
int | coding_index
int | gop_global_index

## Detailed Description

Information passed to the external rate control model to help make GOP decisions.

## Field Documentation

## ◆ min_gf_interval

int vpx_rc_gop_info::min_gf_interval

Minimum allowed gf interval, fixed for the whole clip. Note that it will be modified to match vp9's level constraints in the encoder. The level constraint is defined in vp9_encoder.c: const Vp9LevelSpec vp9_level_defs[VP9_LEVELS].

## ◆ max_gf_interval

int vpx_rc_gop_info::max_gf_interval

Maximum allowed gf interval, fixed for the whole clip.

## ◆ active_min_gf_interval

int vpx_rc_gop_info::active_min_gf_interval

Minimum allowed gf interval for the current GOP, determined by the encoder.

## ◆ active_max_gf_interval

int vpx_rc_gop_info::active_max_gf_interval

Maximum allowed gf interval for the current GOP, determined by the encoder.

## ◆ allow_alt_ref

int vpx_rc_gop_info::allow_alt_ref

Whether to allow the use of alt ref, determined by the encoder. It is fixed for the entire encode. See function "is_altref_enabled" in vp9_encoder.h.

## ◆ is_key_frame

int vpx_rc_gop_info::is_key_frame

Is the current frame a key frame.

## ◆ last_gop_use_alt_ref

int vpx_rc_gop_info::last_gop_use_alt_ref

Does the previous gop use alt ref or not.

## ◆ frames_since_key

int vpx_rc_gop_info::frames_since_key

Current frame distance to the last keyframe, e.g., if Nth frame is a key, then the value of the N+1 th frame is 1.

## ◆ frames_to_key

int vpx_rc_gop_info::frames_to_key

Current frame distance to the next keyframe, e.g. if Nth frame is a key, then the value of frame N - 1 is 1.

## ◆ lag_in_frames

int vpx_rc_gop_info::lag_in_frames

Number of lookahead source frames.

## ◆ show_index

int vpx_rc_gop_info::show_index

Display index (temporal stamp) of this frame in the whole clip, starts from zero.

## ◆ coding_index

int vpx_rc_gop_info::coding_index

Coding index of this frame in the whole clip, starts from zero.

## ◆ gop_global_index

int vpx_rc_gop_info::gop_global_index

The index of the current gop, starts from zero, resets to zero when a keyframe is set.

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h